package com.srs.routine.mapper;

import java.util.List;

import com.srs.routine.domain.RtStuAtSchool;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 测试Mapper接口
 *
 * @author srs
 * @date 2024-05-27
 */
public interface RtStuAtSchoolMapper extends BaseMapper<RtStuAtSchool> {
    /**
     * 查询测试
     *
     * @param id 测试主键
     * @return 测试
     */
    public RtStuAtSchool selectRtStuAtSchoolById(Integer id);

//      判断是否已经重复提交
    public RtStuAtSchool selectRtStuAtSchoolByStudentId(String studentId);

    /**
     * 查询测试列表
     *
     * @param rtStuAtSchool 测试
     * @return 测试集合
     */
    List<RtStuAtSchool> selectRtStuAtSchoolList(RtStuAtSchool rtStuAtSchool);

    /**
     * 新增测试
     *
     * @param rtStuAtSchool 测试
     * @return 结果
     */
    int insertRtStuAtSchool(RtStuAtSchool rtStuAtSchool);

    /**
     * 修改测试
     *
     * @param rtStuAtSchool 测试
     * @return 结果
     */
    int updateRtStuAtSchool(RtStuAtSchool rtStuAtSchool);

    /**
     * 删除测试
     *
     * @param id 测试主键
     * @return 结果
     */
    int deleteRtStuAtSchoolById(Integer id);

    /**
     * 批量删除测试
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteRtStuAtSchoolByIds(Integer[] ids);
}
